## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
gsl-lite is an implementation of the C++ Core Guidelines Support Library
originally based on Microsoft GSL.
}

%bcond tests 1

# Header only, so no debuginfo is generated
%global debug_package %{nil}

Name:           gsl-lite
Version:        0.42.0
Release:        %autorelease
Summary:        Header-only version of ISO C++ Guidelines Support Library (GSL)

# The entire source is (SPDX) MIT, except the following files, which are
# BSL-1.0 but do not contribute to the licenses of the binary RPMs because they
# belong to the maintainer scripts or test suite.
#   - script/create-cov-rpt.py
#   - script/create-vcpkg.py
#   - script/upload-conan.py
#   - test/lest_cpp03.hpp
License:        MIT
URL:            https://github.com/gsl-lite/gsl-lite
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description %_description


%package        devel
Summary:        Development files for %{name}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%cmake -DGSL_LITE_OPT_BUILD_EXAMPLES=ON \
    -DGSL_LITE_OPT_BUILD_TESTS=%{?with_tests:ON}%{?!with_tests:OFF}
%cmake_build


%install
%cmake_install


%check
%if %{with tests}
%ctest
%endif


%files devel
%license LICENSE
%doc README.md CHANGES.txt
%{_includedir}/%{name}/
# Directory is co-owned with gsl-devel and guidelines-support-library-devel:
%dir %{_includedir}/gsl/
%{_includedir}/gsl/%{name}.hpp

%{_libdir}/cmake/%{name}/


%changelog
## START: Generated by rpmautospec
* Wed Nov 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.42.0-1
- Update to 0.42.0 (close RHBZ#2323341)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.41.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.41.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.41.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.41.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Apr 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.41.0-1
- Update to 0.41.0 (close RHBZ#2186353)

* Sat Apr 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.40.0-8
- Confirm License is SPDX MIT

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.40.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.40.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 08 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.40.0-5
- Revert "Fix GCC 12 dangling pointer error (fix RHBZ#2045681)"

* Sun Feb 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.40.0-3
- Fix GCC 12 dangling pointer error (fix RHBZ#2045681)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 05 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.40.0-1
- (Compatible) update to 0.40.0 (close RHBZ#2020595)

* Thu Sep 30 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.39.0-1
- Update to 0.39.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.38.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 22 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.38.1-1
- Update to latest bugfix release

* Mon Apr 19 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.38.0-1
- Include upstream workaround for GCC bug
- Enable tests by default
- Disable tests on s390x

* Sun Apr 18 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.38.0-1
- Initial build

## END: Generated by rpmautospec
